Page MenuHomePhabricator

/wiki/Special:NewItem MWException from line 207 of /srv/mediawiki/php-master/languages/Language.php: Invalid language code "<<>>"
Closed, ResolvedPublic

Description

[V2-yAQpEEaoAAAUnkDcAAAAG] /wiki/Special:NewItem MWException from line 207 of /srv/mediawiki/php-master/languages/Language.php: Invalid language code "<<>>"

Backtrace:

#0 /srv/mediawiki/php-master/languages/Language.php(189): Language::newFromCode(string)
#1 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/MediaWikiLanguageDirectionalityLookup.php(23): Language::factory(string)
#2 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/view/src/TermsListView.php(159): Wikibase\Repo\MediaWikiLanguageDirectionalityLookup->getDirectionality(string)
#3 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/view/src/TermsListView.php(146): Wikibase\View\TermsListView->getTermView(Wikibase\DataModel\Term\TermList, string, string, string)
#4 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/ParserOutput/PlaceholderEmittingEntityTermsView.php(131): Wikibase\View\TermsListView->getListItemHtml(Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Entity\Item, string)
#5 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/ParserOutput/EntityParserOutputGenerator.php(340): Wikibase\Repo\ParserOutput\PlaceholderEmittingEntityTermsView->getTermsListItems(string, Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Entity\Item)
#6 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/ParserOutput/EntityParserOutputGenerator.php(167): Wikibase\Repo\ParserOutput\EntityParserOutputGenerator->addHtmlToParserOutput(ParserOutput, Wikibase\DataModel\Entity\Item, Wikibase\Lib\Store\EntityInfo)
#7 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/Content/EntityContent.php(295): Wikibase\Repo\ParserOutput\EntityParserOutputGenerator->getParserOutput(Wikibase\DataModel\Entity\Item, boolean)
#8 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/Content/EntityContent.php(233): Wikibase\EntityContent->getParserOutputFromEntityView(Title, NULL, ParserOptions, boolean)
#9 /srv/mediawiki/php-master/includes/page/WikiPage.php(2111): Wikibase\EntityContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/php-master/extensions/SpamBlacklist/SpamBlacklistHooks.php(57): WikiPage->prepareContentForEdit(Wikibase\ItemContent)
#11 /srv/mediawiki/php-master/includes/Hooks.php(195): SpamBlacklistHooks::filterMergedContent(RequestContext, Wikibase\ItemContent, Status, string, User, boolean)
#12 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/Hooks/EditFilterHookRunner.php(108): Hooks::run(string, array)
#13 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/EditEntity.php(644): Wikibase\Repo\Hooks\EditFilterHookRunner->run(Wikibase\DataModel\Entity\Item, User, string)
#14 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/Specials/SpecialWikibaseRepoPage.php(173): Wikibase\EditEntity->attemptSave(string, integer, string)
#15 /srv/mediawiki/php-master/extensions/Wikidata/extensions/Wikibase/repo/includes/Specials/SpecialNewEntity.php(140): Wikibase\Repo\Specials\SpecialWikibaseRepoPage->saveEntity(Wikibase\DataModel\Entity\Item, Wikibase\Summary, string, integer)
#16 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(505): Wikibase\Repo\Specials\SpecialNewEntity->execute(NULL)
#17 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(598): SpecialPage->run(NULL)
#18 /srv/mediawiki/php-master/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#19 /srv/mediawiki/php-master/includes/MediaWiki.php(748): MediaWiki->performRequest()
#20 /srv/mediawiki/php-master/includes/MediaWiki.php(520): MediaWiki->main()
#21 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#22 /srv/mediawiki/w/index.php(3): include(string)
#23 {main}

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Jun 26 2016, 3:18 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 26 2016, 3:18 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 20 2017, 3:13 PM

Change 385945 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Properly react on unknown languages in LanguageDirectionalityLookup

https://gerrit.wikimedia.org/r/385945

thiemowmde triaged this task as Low priority.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from in progress to consider for next sprint on the Wikidata board.
thiemowmde added subscribers: thiemowmde, hoo, aude.

Change 385945 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Properly react on unknown languages in LanguageDirectionalityLookup

https://gerrit.wikimedia.org/r/385945

hoo closed this task as Resolved.Oct 23 2017, 10:43 PM
hoo moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
hoo removed projects: Patch-For-Review, TestMe.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM